<!-- $o = ORM::factory('DOMAIN') -->
<table width="100%">
	<?php foreach (Kohana::$config->load('config')->tsmdatatypes as $btype => $ctype) { ?>
	<tr>
		<td style="width: 100%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2"><?php echo $ctype.' '._('Volumes'); ?></td>
				</tr>
				<?php if ($o->vols_bybtype($ctype)) { ?>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Volume</td>
					<td>Last Read Date</td>
					<td>Last Write Date</td>
					<td>Access</td>
					<td>Status</td>
					<td class="right">Errors R/W</td>
					<td class="right">Util %</td>
					<td class="right">Recl %</td>
					<td class="right">FS</td>
					<td class="right">Nodes</td>
				</tr>
					<?php $i=0; foreach ($o->stgpools_bybtype($ctype) as $spo) { ?>
				<tr class="subhead"><td colspan="10"><?php printf('%s: Reclaim: %s%%, Scratch Usage: %s/%s, Device Type: %s',$spo->STGPOOL_NAME,$spo->RECLAIM,$spo->NUMSCRATCHUSED,$spo->MAXSCRATCH,$spo->DEVCLASSES->DEVTYPE); ?></td></tr>
						<?php foreach ($o->vols_bypoolbybtype($spo->STGPOOL_NAME,$ctype) as $vuo) {
							$vo = $vuo->VOLUME; ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo HTML::anchor('volume/detail/'.$vo->VOLUME_NAME,$vo->display('VOLUME_NAME')); ?></td>
					<td class="data"><?php echo $vo->display('LAST_READ_DATE'); ?></td>
					<td class="data"><?php echo $vo->display('LAST_WRITE_DATE'); ?></td>
					<td class="data"><?php echo $vo->display('ACCESS'); ?></td>
					<td class="data"><?php echo $vo->display('STATUS'); ?></td>
					<td class="data-right"><?php printf('%s/%s',$vo->READ_ERRORS,$vo->WRITE_ERRORS); ?></td>
					<td class="data-right"><?php echo $vo->display('PCT_UTILIZED'); ?></td>
					<td class="data-right"><?php echo $vo->display('PCT_RECLAIM'); ?></td>
					<td class="data-right"><?php echo count($vo->fs_bybtype($ctype)); ?></td>
					<td class="data-right"><?php echo count($vo->nodes_bybtype($ctype)); ?></td>
				</tr>
						<?php } ?>
					<?php } ?>
				<?php } else { ?>
					<tr><td><?php echo _('There are NO volumes for this Domain.'); ?></td></tr>
				<?php } ?>
			</table>
		</td>
	</tr>
	<?php } ?>
</table>
